package com.base.api.model;

import lombok.Data;

@Data
public class SatelliteStationMatchRpcDTO {

    private static final long serialVersionUID = 1L;

    private String id;

    /**
     * 卫星代号
     */
    private String satelliteCode;

    /**
     * 地面站代号
     */
    private String stationCode;

    /**
     * 设备代号
     */
    private String equipmentCode;

    /**
     * 功能标识；1：一体（可测控可接收），2：测控，3：接收
     */
    private String func;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private String createdDate;

    /**
     * 最后修改人
     */
    private String lastModifiedBy;

    /**
     * 最后修改时间
     */
    private String lastModifiedDate;

    /**
     * 版本号
     */
    private String version;

}
