package com.base.biz.model.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QueryPayloadAddDTO {
    @ApiModelProperty("卫星id")
    private String satelliteId;
    @ApiModelProperty("卫星编号")
    private String satelliteCode;
    @ApiModelProperty("载荷类型 1可见光/微光 2红外 3微波 4SAR 5掩星")
    private String payloadType;
    @ApiModelProperty("载荷系列")
    private String payloadSeries;
    @ApiModelProperty("分辨率 单位米")
    private Double groundResolution;
    @ApiModelProperty("幅宽，单位米")
    private Double swathWidth;
    private Double overLap;
    private String payloadName;
    @ApiModelProperty("地面站录放比")
    private Double dmPlaybackRatio;
    @ApiModelProperty("中继星录放比")
    private Double zjPlaybackRatio;
    private String payloadWorkModes;
    @ApiModelProperty("载荷速率")
    private String dataPassSpeed;
    @ApiModelProperty("最大侧摆角")
    private String maxRollAngle;
    @ApiModelProperty("最小侧摆角")
    private String minRollAngle;

    @ApiModelProperty("视场角")
    private String fox;
    private String type;

}
