package com.base.biz.model.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("instance_info")
public class InstanceInfo {

    @TableId
    private String Id;
    @ApiModelProperty("卫星代号")
    private String satelliteCode;
    @ApiModelProperty("圈号")
    private String orbitNum;
    @ApiModelProperty("历元时刻(北京时间)")
    private Date epochTime;
    @ApiModelProperty("轨道半径长 米")
    private String semiMajorAxis;
    @ApiModelProperty("偏心率")
    private String eccentricity;
    @ApiModelProperty("轨道倾角")
    private String inclination;
    @ApiModelProperty("近地点俯角")
    private String argumentOfPerigee;
    @ApiModelProperty("平近点角")
    private String meanAnoMaly;
    @ApiModelProperty("升交点赤经")
    private String raan;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改时间")
    private Date updateTime;
}