package com.base.biz.model.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("point_info")
public class PointInfo {

    @TableId
    private String id;

    private String longitude;

    private String latitude;

    private String sort;

    private String pointType;

    private String serial;

    private String parentId;

    private Date createTime;

    private Date updateTime;

    private String parentName;

    private Date targetTime;//目标时刻

    private String targetType;//目标类型

    private String hotspot;//是否是热点 0是热点 1普通

    private String iscover;//当目标类型是点群时 需要这个字段判断该点是否被覆盖 0覆盖 1没有覆盖

}
