package com.plan.api.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class PlanIndicatorStepDTO {

    @ApiModelProperty("时间")
    private String timeStamp;

    @ApiModelProperty("执行步骤：1:开始 2:规划方案指标参数生成状态反馈  3:卫星探测任务参数生成状态反馈 4:运控数传仿真完成状态反馈")
    private String stepName;

    @ApiModelProperty("执行流程:步骤数值")
    private String stepVal;

    @ApiModelProperty("执行状态：0:执行成功 1:执行失败 2:执行异常")
    private String status;
}
