package com.base.plan.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class FzTaskRunningInfoDTO {

    @ApiModelProperty("卫星id")
    private String satelliteId;
    @ApiModelProperty("侧摆角度")
    private String rollAngle;
    @ApiModelProperty("任务编号")
    private String reqId;
    @ApiModelProperty("任务类型")
    private String taskType;
    @ApiModelProperty("WX/数传站")
    private String taskStation;
    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty("时长")
    private String duration;
}
