package com.base.plan.model.entity;

import com.base.api.model.PayloadRpcDTO;
import lombok.Data;
import java.util.List;

/**
 * @author samirliu
 *载荷约束条件（一元约束条件）
 */
@Data
public class PayloadLMT {

	/**
	 * 卫星名称
	 */
	private String satellite;

	/**
	 * 最大幅宽载荷
	 */
	private PayloadRpcDTO maxInfoBasisPayload = new PayloadRpcDTO();

	/**
	 * 载荷
	 */
	private List<PayloadRpcDTO> payloads;
	/**
	 * 侧摆角限制
	 */
	private float lmt_rollangle = 0;
	
	/**
	 * 最大侧摆角
	 */
	private float max_rollangle = 0;
	
	/**
	 * 最小太阳高度角
	 */
	private float min_sunangle = 0;
	/**
	 * 最大太阳高度角
	 */
	private float max_sunangle = 0;
	
	
	/**
	 * 最小观测时长
	 */
	private float min_duration = 0;
	/**
	 * 最大观测时长
	 */
	private float max_duration = 0;
	
	

	
}