package com.base.track.model.dto.response;


import com.base.track.model.dto.KeyValueDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SatelliteTypeListDTO {
    @ApiModelProperty("1 军 2 民 3 商 4 其他")
    private List<KeyValueDTO<Integer,String>> satelliteUserTypeList;
    @ApiModelProperty("功能用途，0遥感，1通信，2导航")
    private List<KeyValueDTO<Integer,String>> functionTypeList;
    @ApiModelProperty("卫星综合状态，0异常，1正常，2失效")
    private List<KeyValueDTO<Integer,String>> satelliteStateTypeList;
    @ApiModelProperty("轨道类型，0低轨，1中轨，2高轨，3太阳同步轨道")
    private List<KeyValueDTO<Integer,String>> orbitTypeList;
    @ApiModelProperty("平台类型，0普通，1敏捷")
    private List<KeyValueDTO<Integer,String>> satelliteTypeList;
    @ApiModelProperty("卫星状态，0可用，1不可用")
    private List<KeyValueDTO<Integer,String>> statusTypeList;
    @ApiModelProperty("测控支持的中继类型，0不支持，1一代中继，2二代中继")
    private List<KeyValueDTO<Integer,String>> relayTypeList;
    @ApiModelProperty("测控极化方式，0左旋，1右旋，2极化")
    private List<KeyValueDTO<Integer,String>> controlPolarityMethodTypeList;
    @ApiModelProperty("扩频模式，0非扩频，1标准TTC，2非相干TTC，3相干扩频，4非相干扩频，5测控数传一体化，6FM，7BPSK")
    private List<KeyValueDTO<Integer,String>> kpmodeTypeList;
    @ApiModelProperty("极化方式，0：水平极化，1：垂直极化")
    private List<KeyValueDTO<Integer,String>> receivePolarityMethodTypeList;
    @ApiModelProperty("载荷类型，CCD,ELECTRON,SAR")
    private List<KeyValueDTO<String,String>> loadTypeList;
}
