package com.base.api.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yulin
 * @since 2022-01-24
 */
@Data
public class StationRpcDTO {

    private String Id;
    @ApiModelProperty("地面站代号")
    private String stationCode;
    @ApiModelProperty("名称")
    private String stationName;
    @ApiModelProperty("资源类型 0地面站 1中继星")
    private Integer resourceType;
    @ApiModelProperty("任务类型")
    private String missionType;
    @ApiModelProperty("经度")
    private String longitude;
    @ApiModelProperty("纬度")
    private String latitude;
    @ApiModelProperty("高度")
    private String altitude;
    @ApiModelProperty("最小跟踪仰角，默认3度")
    private String minTraceElevation;
    @ApiModelProperty("最小接收仰角，默认5度")
    private String minWorkElevation;
    @ApiModelProperty("基带类型")
    private String basebandType;
    @ApiModelProperty("数传速率")
    private String receivedRate;
    @ApiModelProperty("日凌角")
    private String sundialCorer;

    private Integer antMinRecvElevation;

    private Integer sundialCorner;

    @ApiModelProperty("中继星能里，0无，1一代，2二代")
    private Integer relayType;


}
