package com.base.biz.controller;


import com.base.biz.model.dto.request.LogRecordDTO;
import com.base.biz.service.LogRecordService;
import com.base.orbit.web.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/api/log")
@Api(tags = "日志模块")
public class LogRecordController {

    @Resource
    private LogRecordService logRecordService;

    @ApiOperation(value = "日志信息查询")
    @PostMapping("/list")
    public Object getSatelliteInfoDTOList(@RequestBody LogRecordDTO req){
        return Result.success(logRecordService.getLogInfos(req));
    }
}
