package com.base.biz.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface CheckMapper {


    @Select("select id from ${tableName} where ${field} = #{value} limit 1")
    String checkBySelectId(@Param("tableName") String tableName, @Param("field") String field, @Param("value") String value);
}
