package com.base.biz.model.dto.response;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 卫星运行状态中卫星任务信息
 */
@Data
public class SatelliteTaskInfoDTO {


    @ApiModelProperty("卫星编号")
    private String satelliteCode;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("目标名")
    private String targetName;

    @ApiModelProperty("类型  1-测控 2-数传")
    private Integer type;

    @ApiModelProperty("执行状态 0-未进行 1-进行中")
    private Integer taskStatus;
}
