package com.base.plan.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class FzSystemIndicatorDTO {

    @ApiModelProperty("星上存储资源利用率")
    private String satelliteStorageUtilization;
    @ApiModelProperty("数传资源利用率")
    private String dataPassResourceUtilization;
    @ApiModelProperty("系统指标更新时间")
    private Date systemIndicatorTime;
    @ApiModelProperty("星地数传链路余量估算")
    private List<SatelliteEarthLinkAllowanceDTO> satelliteEarthLinkAllowanceDTOS;
    @ApiModelProperty("目标指标")
    private List<FzTargetIndicatorDTO> fzTargetIndicatorDTOList;

}
