package com.base.plan.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class FzTargetIndicatorDTO {

    @ApiModelProperty("方案结果id")
    private String id;
    @ApiModelProperty("覆盖率")
    private String coverageInfo;
    @ApiModelProperty("覆盖区域次数")
    private String coverageAresNumberInfo;
    @ApiModelProperty("覆盖区域时间")
    private String coverageAresTimeInfo;
    @ApiModelProperty("需求id")
    private String reqId;
    @ApiModelProperty("目标编号")
    private String targetCode;

    @ApiModelProperty("目标名称")
    private String targetName;

    @ApiModelProperty("卫星code")
    private String satelliteCode;

    @ApiModelProperty("卫星code")
    private List<String> satelliteCodes;

}
