package com.base.plan.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class StationMutexDTO {

    @ApiModelProperty("需求名称")
    public String stepName;

    @ApiModelProperty("卫星代码")
    public String satelliteCode;

    @ApiModelProperty("站代号")
    public String stationCode;

    @ApiModelProperty("数传/测控开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date startTime;

    @ApiModelProperty("数传/测控结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date endTime;

}