package com.base.plan.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SubStripDTO {

    @ApiModelProperty("条带id")
    private Long stripId;
    @ApiModelProperty("覆盖率")
    private String coverage;
    @ApiModelProperty("俯仰角")
    private String pitchAngle;
    @ApiModelProperty("侧摆角")
    private String rollAngle;
    @ApiModelProperty("点集合")
    private List<PointDTO> pointDTOList;
    @ApiModelProperty("是否被优先选中，1：不是；2：是")
    private Integer isSelected;
}
