package com.base.track.model.dto.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Data
public class TrbutDataListReDTODMZ {
    private String id;

    private Date pitTime;

    private Double startAzimuth;

    private Date receiveStartTime;

    private Date receiveEndTime;

    private Date exitTime;

    private Double endAzimuth;

    private Double highestElevationAngle;

    private Double highestAzimuth;

    private Integer orbitNum;

    private String satelliteId;

    private String stationId;

    private Integer stationType;

    private String satelliteName;

    private String satelliteCode;
    private String stationName;
    private String stationCode;

    private String jssl;       //   接收速率

    private Integer duration;//时长

    private String antennaCaliber; //天线口径

    private Integer ident;      //  可视化:0-已完成 1-未完成

    private String targetName;

}
